Package: groovy.grape

## [Groovy] Class GrapeIvy

- groovy.grape.GrapeIvy

- All Implemented Interfaces and Traits:
    GrapeEngine

      class GrapeIvy
      extends Object

  Implementation supporting `@Grape` and `@Grab` annotations based on Ivy.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private Set` | `downloadedArtifacts`
    `private boolean` | `enableGrapes`
    `private Set` | `grabRecordsForCurrDependencies`
    `private org.apache.ivy.Ivy` | `ivyInstance`
    `private Map` | `loadedDeps`
    `private Set` | `resolvedDependencies`
    `private org.apache.ivy.core.settings.IvySettings` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrapeIvy ()`
    `GrapeIvy ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResolver(Map args)`
    `` | `ClassLoader` | `chooseClassLoader(Map args)`
    `` | `IvyGrabRecord` | `createGrabRecord(Map deps)`
    `` | `Map` | `enumerateGrapes()`
    `` | `org.apache.ivy.core.report.ResolveReport` | `getDependencies(Map args, IvyGrabRecord[] grabRecords)`
    `` | `File` | `getGrapeCacheDir()`
    `` | `File` | `getGrapeDir()`
    `` | `File` | `getGroovyRoot()`
    `` | `File` | `getLocalGrapeConfig()`
    `` | `Object` | `grab(String endorsedModule)`
    `` | `Object` | `grab(Map args)`
    `` | `Object` | `grab(Map args, Map[] dependencies)`
    `` | `Map[]` | `listDependencies(ClassLoader classLoader)`
    `` | `void` | `processOtherServices(ClassLoader loader, File f)`
    `` | `void` | `processRunners(InputStream is, String name, ClassLoader loader)`
    `` | `void` | `processSerializedCategoryMethods(InputStream is)`
    `` | `URI[]` | `resolve(Map args, Map[] dependencies)`
    `` | `URI[]` | `resolve(Map args, List depsInfo, Map[] dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, Map[] dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, List depsInfo, Map[] dependencies)`
    `` | `void` | `uninstallArtifact(String group, String module, String rev)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### private Set downloadedArtifacts

    - #### private boolean enableGrapes

    - #### private Set grabRecordsForCurrDependencies

    - #### private org.apache.ivy.Ivy ivyInstance

    - #### private Map loadedDeps

    - #### private Set resolvedDependencies

    - #### private org.apache.ivy.core.settings.IvySettings settings

  - ### Constructor Detail

    - #### GrapeIvy()

  - ### Method Detail

    - #### @OverrideOverride @CompileStaticCompileStatic void addResolver(@NamedParamsNamedParams Map args)

    - #### @CompileStaticCompileStatic ClassLoader chooseClassLoader(Map args)

    - #### @SuppressWarningsSuppressWarnings IvyGrabRecord createGrabRecord(Map deps)

    - #### @OverrideOverride @CompileStaticCompileStatic Map enumerateGrapes()

    - #### org.apache.ivy.core.report.ResolveReport getDependencies(Map args, IvyGrabRecord[] grabRecords)

    - #### @CompileStaticCompileStatic File getGrapeCacheDir()

    - #### @CompileStaticCompileStatic File getGrapeDir()

    - #### @CompileStaticCompileStatic File getGroovyRoot()

    - #### @CompileStaticCompileStatic File getLocalGrapeConfig()

    - #### @OverrideOverride @CompileStaticCompileStatic Object grab(String endorsedModule)

    - #### @OverrideOverride @CompileStaticCompileStatic Object grab(Map args)

    - #### @OverrideOverride @CompileStaticCompileStatic Object grab(Map args, Map[] dependencies)

    - #### @OverrideOverride Map[] listDependencies(ClassLoader classLoader)

    - #### @CompileStaticCompileStatic void processOtherServices(ClassLoader loader, File f)

    - #### @CompileStaticCompileStatic void processRunners(InputStream is, String name, ClassLoader loader)

    - #### @CompileStaticCompileStatic void processSerializedCategoryMethods(InputStream is)

    - #### @OverrideOverride @CompileStaticCompileStatic URI[] resolve(Map args, Map[] dependencies)

    - #### @OverrideOverride @CompileStaticCompileStatic URI[] resolve(Map args, List depsInfo, Map[] dependencies)

    - #### @CompileStaticCompileStatic URI[] resolve(ClassLoader loader, Map args, Map[] dependencies)

    - #### URI[] resolve(ClassLoader loader, Map args, List depsInfo, Map[] dependencies)

    - #### void uninstallArtifact(String group, String module, String rev)